%define version 2.24.0
%define oname pygtk
#rpmlint wants %mklibname
Summary:	Python bindings for the GTK+2 widget set
Name:		pygtk2.0
Version:	%{version}
Release:	%mkrel 4
License:	LGPLv2+
Group:		Development/GNOME and GTK+
URL:		http://www.pygtk.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%oname/%oname-%{version}.tar.bz2
BuildRequires:	pkgconfig(atk) >= 1.12.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gtk+-unix-print-2.0) >= 2.9.0
BuildRequires:	pkgconfig(libglade-2.0) >= 2.5.0
BuildRequires:	pkgconfig(pango) >= 1.16.0
BuildRequires:	pkgconfig(pycairo) >= 1.0.2
BuildRequires:	pkgconfig(pygobject-2.0) >= 2.21.3
BuildRequires:  python-devel >= %{pyver}
BuildRequires:  python-numpy-devel
BuildRequires:  x11-server-xvfb
BuildRequires:  gnome-common
#BuildRequires:  gtk-doc
BuildRequires:  libxslt-proc
Requires:	python-numpy
Requires:	python-gobject
Requires:	python-cairo
Conflicts:	pygtk < 0.6.11
Provides:	%{name}-wrapper
Provides:	pygtk2 = %{version}-%{release}
Provides:       python-gtk = %{version}-%{release}
Obsoletes:	%{name}-wrapper

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

This new release includes GTK2 support.

%package devel
Version:	%{version}
Summary:	Files needed to build wrappers for GTK+ addon libraries
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2-devel
Requires:	python-devel >= %{pyver}
Requires: python-cairo-devel
Requires:  python-gobject-devel >= 2.15.0
Provides:  python-gtk-devel
%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

This new release includes GTK2 support.

%package libglade
Version:	%{version}
Summary:	A wrapper for the libglade library for use with PyGTK
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%package demos
Version:	%{version}
Summary:	Examples and demos for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name}-devel = %{version}-%{release}

%description demos
This package contains example programs and demos for %{name}.

%prep
%setup -q -n pygtk-%{version}
%apply_patches

%build
%configure2_5x  --enable-thread --enable-numpy --disable-static
%make LIBS="-lpython%{py_ver}"

#%check
# Disabled due to http://bugzilla.gnome.org/show_bug.cgi?id=565593 :
# check fails against Python 2.6 due to Python issue #4244 - AdamW
# 2008/12
#%_bindir/xvfb-run -a make check

%install
rm -rf %{buildroot}
%makeinstall_std

#(tpg) remove svn form docs
rm -rf `find -name .svn` %{buildroot}%{_docdir}
find %{buildroot} -name '*.la' | xargs rm

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README MAPPING ChangeLog 
%dir %{py_platsitedir}/gtk-2.0/gtk/
%{py_platsitedir}/gtk-2.0/gtk/*.py*
%{py_platsitedir}/gtk-2.0/gtk/_*.so
%{py_platsitedir}/gtk-2.0/gtkunixprint*
%{py_platsitedir}/gtk-2.0/atk*.so
%{py_platsitedir}/gtk-2.0/pango*.so

%files libglade
%defattr(-,root,root)
%{py_platsitedir}/gtk-2.0/gtk/glade.so

%files devel
%defattr(-,root,root)
%_bindir/pygtk-codegen-2.0
%{_includedir}/pygtk-2.0/*
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/2.0
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/pygtk/2.0/defs/pangocairo.override
%{_libdir}/pkgconfig/pygtk-2.0.pc
%{_datadir}/gtk-doc/html/pygtk

%files demos
%defattr(644,root,root,755)
%doc examples/{atk,glade,gobject,gtk,ide,pango,simple}
%dir %{_libdir}/pygtk/2.0/demos
%dir %{_libdir}/pygtk/2.0/demos/images
%attr(755,root,root) %{_bindir}/pygtk-demo
%attr(755,root,root) %{_libdir}/pygtk/2.0/pygtk-demo.py
%{_libdir}/pygtk/2.0/pygtk-demo.py[co]
%attr(755,root,root) %{_libdir}/pygtk/2.0/demos/*.py
%{_libdir}/pygtk/2.0/demos/*.py[co]
%{_libdir}/pygtk/2.0/demos/images/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.24.0-4.mga3
+ Revision: 378408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 14 2011 fwang <fwang> 2.24.0-3.mga3
+ Revision: 143223
- fix linkage

* Wed Sep 14 2011 fwang <fwang> 2.24.0-2.mga2
+ Revision: 143219
- fix rm
- cleanup .la files

* Sun Jun 19 2011 dmorgan <dmorgan> 2.24.0-1.mga2
+ Revision: 109538
- New version 2.24.0
- add python-gtk provide
- Remove %%clean section

* Mon Jan 17 2011 pterjan <pterjan> 2.22.0-4.mga1
+ Revision: 20959
- Rebuild for python 2.7

* Thu Jan 13 2011 dmorgan <dmorgan> 2.22.0-3.mga1
+ Revision: 7774
- imported package pygtk2.0

